// (C) 2023-2024 GoodData Corporation
import { getSeriesHighlightingClassNameObj, highlightChartPoints, } from "../_chartHighlighting/highlightPoints.js";
export function getChartHighlightingConfiguration(chartOptions, config, chartConfig) {
    // Here we overwrite the load event of the chart to highlight the points.
    // Some charts already have this event, so we avoid overwriting it
    // and rather extend the original events in particular chart's config.
    const eventsObj = chartOptions.type === "pie" || chartOptions.type === "donut"
        ? {}
        : {
            load() {
                highlightChartPoints(this.series, chartConfig);
            },
        };
    return {
        ...config,
        chart: {
            ...config?.chart,
            events: {
                ...config?.chart?.events,
                ...eventsObj,
            },
        },
        plotOptions: {
            ...config?.plotOptions,
            series: {
                ...config?.plotOptions?.series,
                ...getSeriesHighlightingClassNameObj(chartConfig),
            },
        },
    };
}
//# sourceMappingURL=getChartHighlightingConfiguration.js.map