// (C) 2023 GoodData Corporation
import { isWaterfall } from "../_util/common.js";
function shortenXAxisLabel(xAxis) {
    if (!xAxis?.[0]?.categories || !xAxis[0].categories.some((item) => item.length >= 50)) {
        return {};
    }
    return {
        xAxis: [
            {
                labels: {
                    useHTML: true,
                    style: {
                        width: 200,
                        textOverflow: "ellipsis",
                    },
                },
            },
        ],
    };
}
export function getChartOrientationConfiguration(chartOptions, config, chartConfig) {
    const { type } = chartOptions;
    const isInverted = chartConfig?.orientation?.position === "vertical";
    if (!isWaterfall(type) || !isInverted) {
        return {};
    }
    return {
        chart: {
            inverted: isInverted,
        },
        plotOptions: {
            waterfall: {
                dataLabels: {
                    ...config.plotOptions.waterfall.dataLabels,
                    crop: false,
                    overflow: "allow",
                    inside: false,
                    verticalAlign: "middle",
                    y: 0,
                },
            },
        },
        ...shortenXAxisLabel(config.xAxis),
    };
}
//# sourceMappingURL=getChartOrientationConfiguration.js.map