import { isAreaChart, isComboChart } from "../_util/common.js";
const removeStacking = (series) => series.map((seriesItem) => seriesItem.type && !isAreaChart(seriesItem.type)
    ? seriesItem
    : {
        ...seriesItem,
        stack: null,
        stacking: null,
    });
export function getContinuousLineConfiguration(chartOptions, config, chartConfig) {
    const isContinuousLineEnabled = chartConfig?.continuousLine?.enabled ?? false;
    if (!isContinuousLineEnabled || chartConfig?.stackMeasures) {
        return {};
    }
    const { type } = chartOptions;
    const series = config?.series;
    // remove the stack configuration for the Combo|Area chart
    const sanitizedSeries = isComboChart(type) || isAreaChart(type) ? removeStacking(series) : series;
    return {
        plotOptions: {
            series: {
                connectNulls: isContinuousLineEnabled,
            },
        },
        series: sanitizedSeries,
    };
}
//# sourceMappingURL=getContinuousLineConfiguration.js.map