// (C) 2023 GoodData Corporation
import { isWaterfall } from "../_util/common.js";
export function getWaterfallXAxisConfiguration(chartOptions, _config, chartConfig) {
    const { data, type } = chartOptions;
    if (!isWaterfall(type)) {
        return {};
    }
    const hasTotalMeasure = chartConfig?.total?.measures?.length > 0;
    return {
        xAxis: [
            {
                categories: hasTotalMeasure ? undefined : data?.categories,
                type: "category",
            },
        ],
    };
}
//# sourceMappingURL=getWaterfallXAxisConfiguration.js.map